Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class CommonFactories.DefaultIdGeneratorFactory

    java.lang.Object
      org.neo4j.kernel.CommonFactories.DefaultIdGeneratorFactory

All Implemented Interfaces:
  IdGeneratorFactory

Enclosing class:
  CommonFactories

    public static class CommonFactories.DefaultIdGeneratorFactory

extends Object
implements IdGeneratorFactory

Constructor Summary
`CommonFactories.DefaultIdGeneratorFactory()`

Method Summary
`void` | `create(String fileName)`
`org.neo4j.kernel.impl.nioneo.store.IdGenerator` | `get(IdType idType)`
`org.neo4j.kernel.impl.nioneo.store.IdGenerator` | `open(String fileName, int grabSize, IdType idType, long highestIdInUse, boolean startup)`
`void` | `updateIdGenerators(org.neo4j.kernel.impl.nioneo.store.NeoStore neoStore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonFactories.DefaultIdGeneratorFactory

    public CommonFactories.DefaultIdGeneratorFactory()

Method Detail

### open

    public org.neo4j.kernel.impl.nioneo.store.IdGenerator open(String fileName,
                                                               int grabSize,
                                                               IdType idType,
                                                               long highestIdInUse,
                                                               boolean startup)

  Specified by:
    `open` in interface `IdGeneratorFactory`

### get

    public org.neo4j.kernel.impl.nioneo.store.IdGenerator get(IdType idType)

  Specified by:
    `get` in interface `IdGeneratorFactory`

### create

    public void create(String fileName)

  Specified by:
    `create` in interface `IdGeneratorFactory`

### updateIdGenerators

    public void updateIdGenerators(org.neo4j.kernel.impl.nioneo.store.NeoStore neoStore)

  Specified by:
    `updateIdGenerators` in interface `IdGeneratorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.